class Tag < ApplicationRecord
  has_many :image_tags, dependent: :destroy
  has_many :images, through: :image_tags
  
  validates :name, presence: true, uniqueness: true
  
  before_save :downcase_name
  
  private
  
  def downcase_name
    self.name = name.downcase if name.present?
  end
end
